Foxit PDF RDK

Public Member Functions | List of all members
Control Class Reference
Inheritance diagram for Control:

## Public Member Functions
| GetAlignment ()
| Get the alignment value. More...
| GetDefaultAppearance ()
| Get the default appearance data. More...
| GetExportValue ()
| Get export mapping name when related form field is check box or radio button. More...
| GetField ()
| Get the related form field. More...
| GetIndex ()
| Get the index of current form control among all the controls of related form field. More...
| GetWidget ()
| Get the related widget annotation. More...
| GetWidgetDict ()
| Get the dictionary of related widget annotation. More...
| IsChecked ()
| Check if the current form control is checked when related form field is check box or radio button. More...
| IsDefaultChecked ()
| Check if the current form control is checked by default when related form field is check box or radio button. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| SetAlignment (alignment)
| Set alignment property of current form control. More...
| SetChecked (checked_status)
| Set the check state of current form control when related form field is check box or radio button. More...
| SetDefaultAppearance (default_ap)
| Set default appearance data. More...
| SetDefaultChecked (checked_status)
| Set the default check state of current form control when related form field is check box or radio button. More...
| SetExportValue (value)
| Set export mapping name when related form field is check box or radio button. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

Foxit PDF SDK defines "form control" to associate form field with its related widget annotations. A form field may have one or more form controls, and each form control is associated with a widget annotation. A form control object can be retrieved by following functions:

- from a form, please use function Form.GetControl.
- from a form field, please use functions Field.GetControl.

Form control also offers functions to get related form field object and widget annotation object.
Function Form.AddControl can be used to add a new form control to a form field, and function Form.RemoveControl can be used to remove a form control.

See also
  Form
  Field

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ GetAlignment()

Control.GetAlignment | ( |  | ) |

Get the alignment value.

Alignment is a property for variable text and it is only useful for text field, list box and combo box as related form field, which may contain variable text as their content.
If related form field is a text field or list box and it has its own alignment value, the document-wide default alignment value will be ignored; otherwise, the document-wide default alignment value will be used in this case.

Returns
  Alignment value. Please refer to values starting from e_AlignmentLeft and this would be one of these values.

## ◆ GetDefaultAppearance()

Control.GetDefaultAppearance | ( |  | ) |

Get the default appearance data.

Returns
  The default appearance data.

## ◆ GetExportValue()

Control.GetExportValue | ( |  | ) |

Get export mapping name when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will return an empty string.

Returns
  The export mapping name.

## ◆ GetField()

Control.GetField | ( |  | ) |

Get the related form field.

Returns
  The related form field object.

## ◆ GetIndex()

Control.GetIndex | ( |  | ) |

Get the index of current form control among all the controls of related form field.

Returns
  The index of the form control.

## ◆ GetWidget()

Control.GetWidget | ( |  | ) |

Get the related widget annotation.

Returns
  The related widget annotation.

## ◆ GetWidgetDict()

Control.GetWidgetDict | ( |  | ) |

Get the dictionary of related widget annotation.

Returns
  Dictionary of related widget annotation. If there is any error, the function will return null.

## ◆ IsChecked()

Control.IsChecked | ( |  | ) |

Check if the current form control is checked when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will return false.

Returns
  true means checked, and false means not checked.

## ◆ IsDefaultChecked()

Control.IsDefaultChecked | ( |  | ) |

Check if the current form control is checked by default when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will return false.

Returns
  true means checked by default, and false means not checked by default.

## ◆ IsEmpty()

Control.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetAlignment()

Control.SetAlignment | ( | alignment |  | ) |

Set alignment property of current form control.

Alignment is a property for variable text and it is only useful for text field, list box and combo box as related form field, which may contain variable text as their content.
If related form field is a text field or list box and it has its own alignment value, the document-wide default alignment value will be ignored; otherwise, the document-wide default alignment value will be used in this case.

Parameters

  [in] | alignment | New default alignment type of variable text. Please refer to values starting from e_AlignmentLeft and this should be one of these values. If other values is used to set, e_AlignmentLeft will be used by default.

Returns
  None.

## ◆ SetChecked()

Control.SetChecked | ( | checked_status |  | ) |

Set the check state of current form control when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will do nothing.

Parameters

  [in] | checked_status | true means checked, and false means not checked.

Returns
  None.

## ◆ SetDefaultAppearance()

Control.SetDefaultAppearance | ( | default_ap |  | ) |

Set default appearance data.

Parameters

  [in] | default_ap | The new default appearance. flags of input data can be used to decide which information is/are to be updated with the new data; for those no updated data, they will keep to use old data. If text_size of input default appearance data is 0, that means the text size should be calculated automatically.

Returns
  None.

## ◆ SetDefaultChecked()

Control.SetDefaultChecked | ( | checked_status |  | ) |

Set the default check state of current form control when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will do nothing.

Parameters

  [in] | checked_status | true means checked by default, and false means not checked by default.

Returns
  None.

## ◆ SetExportValue()

Control.SetExportValue | ( | value |  | ) |

Set export mapping name when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will do nothing.

Parameters

  [in] | value | The new export mapping name. It should not be an empty string.

Returns
  None.